---
title: ONLINE GIVING
---
The ministries of Central are funded entirely out of congregational & guest giving. All that we do is made possible by your generosity.
If you have any questions about giving, please contact the office at 763-441-2363


    
